package com.ffii.fpsms.modules.user.req;

import jakarta.validation.constraints.Pattern;
import jakarta.validation.constraints.Size;

/** @author Alex */
public class NewPublicUserReq extends UpdateUserReq {

	@Size(max = 30)
	@Pattern(regexp = "^[A-Za-z0-9]+$")
	private String username;
	private String password;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
}
